SetUtil
Keywords: uk.ac.ic.doc.automed.util.SetUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.util
Class SetUtil

    java.lang.Object
      uk.ac.ic.doc.automed.util.SetUtil

    public class SetUtil

extends java.lang.Object

Constructor Summary
`SetUtil()`

Method Summary
`static java.util.Set` | `deepCopySet(java.util.Set source)`
`static java.util.Set` | `setDifference(java.util.Set set1, java.util.Set set2)` Returns a Set containing the result of set1 - set2.
`static java.util.Set` | `setIntersection(java.util.Set set1, java.util.Set set2)`
`static java.util.Set` | `setUnion(java.util.Set set1, java.util.Set set2)`
`static boolean` | `subsetOf(java.util.Set set1, java.util.Set set2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetUtil

    public SetUtil()

Method Detail

### setUnion

    public static java.util.Set setUnion(java.util.Set set1,
                                         java.util.Set set2)

### setIntersection

    public static java.util.Set setIntersection(java.util.Set set1,
                                                java.util.Set set2)

### setDifference

    public static java.util.Set setDifference(java.util.Set set1,
                                              java.util.Set set2)

  Returns a Set containing the result of set1 - set2.

### deepCopySet

    public static java.util.Set deepCopySet(java.util.Set source)
                                     throws java.lang.InstantiationException,
                                            java.lang.IllegalAccessException

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### subsetOf

    public static boolean subsetOf(java.util.Set set1,
                                   java.util.Set set2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD